stages:
  - test
  - build
  - deploy

image: golang:1.17.2-buster

variables:
  SERVER_BINARY: "server-$CI_COMMIT_SHORT_SHA"
  CLI_BINARY: "cli-$CI_COMMIT_SHORT_SHA"
tests:
  stage: test
  script: "bash ./build/test.sh"
  artifacts:
    when: on_failure
    paths:
      - ./results.txt
